Bug 274721 - RFE: ask for GPG key URL
RFE: ask for GPG key URL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-02 18:25 EDT by Andre Costa
Modified: 2008-05-28 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 15:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Costa 2007-09-02 18:25:50 EDT
Description of problem: This is a feature request. Currently when it is about to
install some package which cannot be verified because there's no corresponding
GPG key on the database, it (correctly) advises about how dangerous it is to
install unverified packages and asks for confirmation. IMHO it could provide a
better service by providing a "Import Key" button on the warning dialog which
would allow the user to provide a URL to download and import the corresponding
GPG key.


Version-Release number of selected component (if applicable):
1.3.9

How reproducible: always


Steps to Reproduce:
1.try to install package for which there's no GPG key on the DB
2.
3.
  
Actual results:
pirut warns about the absence of a key and asks the user to confirm the
operation. If user wants to first install the GPG key, he has to abort
installation, import GPG key and then retry installation.

Expected results:
pirut could provide a "Import Key" button that would allow the user to type a
URL to download the corresponding GPG key, which would then be used to verify
the pending package

Additional info:
Comment 1 Bug Zapper 2008-05-14 10:12:50 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2008-05-28 15:11:39 EDT
This isn't going to get changed at this point as pirut is pretty much entirely
EOL'd and only getting critical fixes for older releases.  In Fedora 9 and
later, any such concerns can be filed against PackageKit/gnome-packagekit.

Note You need to log in before you can comment on or make changes to this bug.